Kaleem Ullah's Blog

Install dnssd gem on ubuntu

Posted in Gems, Rails by Kaleem Ullah on May 16, 2011

If you got following error during dnssd installation

checking for dns_sd.h... no
unable to find dnssd header
*** extconf.rb failed ***

then you have to install few libraries:
sudo aptitude install libavahi-compat-libdnssd-dev

Tagged with: , , , ,

2 Responses

Subscribe to comments with RSS.

  1. Beau Dacious said, on June 2, 2011 at 5:42 am

    This was my exact problem. Thanks for the tip.

  2. Ciro S. Costa said, on November 11, 2014 at 9:15 am

    Thanks for this! Just solved my problemđŸ™‚


Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: